const server   = require('./config/server');
const database = require('./config/database');

const init = async() =>{
    await database.connect();
    await server.start();
    console.log(process.env.PORT)
    console.log(`Server running at: ${server.info.uri}`);
}
process.on('unhandledRejection', (err) =>{
    console.log(err);
    process.exit(1);
});
init();