const User = require('../models/user_model');
const auth = require('../../config/auth');

module.exports = {
    get : async(request, h) =>{
        const user = User.find().exec();
        if(!user){
            return Boom.badRequest(`Can not found`);
        }
        return h.reponse(user).code(200);
    },
    create: async ({payload: { email,password }}) => {
        const user = await User.signUp({email,password})
        return {
            token: auth.createToken(user),
        }
    },
    auth: async ({payload: { email,password }}) => {
        const user = await User.authenticate({email,password})
        return {
            token: auth.createToken(user),
        }
    }
}